CREATE TABLE "interactions" (
intkey bigint NOT NULL DEFAULT nextval('interactions_intkey_seq'::regclass),
seshlink2 bigint NULL,
reclink bigint NULL,
artval bigint NULL,
intts timestamp without time zone NULL,
evttype USER-DEFINED NULL,
seqval integer NULL,
agentval USER-DEFINED NULL,
clkts timestamp without time zone NULL,
clkpos USER-DEFINED NULL,
clktype USER-DEFINED NULL,
clksrc USER-DEFINED NULL,
clkctx USER-DEFINED NULL,
inttype USER-DEFINED NULL,
    PRIMARY KEY (intkey),
    FOREIGN KEY (reclink) REFERENCES recommendations(reckey),
    FOREIGN KEY (seshlink2) REFERENCES sessions(seshkey)
);

First 3 rows:
  intkey    seshlink2    reclink    artval  intts                       evttype      seqval  agentval    clkts                         clkpos  clktype    clksrc    clkctx    inttype
--------  -----------  ---------  --------  --------------------------  ---------  --------  ----------  --------------------------  --------  ---------  --------  --------  ---------
       1            1          1     95846  2025-01-24 06:46:03.694670  bookmark         10  Desktop     2025-02-19 08:31:16.694670         7  Related    Article   Headline  Scroll
       2            2          2     81619  2025-02-01 20:15:58.694670  bookmark         50  App         2025-02-19 08:31:16.694670         5  Trending   Homepage  Summary   Scroll
       3            3          3     67960  2025-02-09 16:45:54.694670  bookmark          3  Desktop     2025-02-19 08:31:16.694670         4  Related    Article   Image     Share
...


CREATE TABLE "users" (
userkey bigint NOT NULL DEFAULT nextval('users_userkey_seq'::regclass),
regmoment date NULL,
typelabel USER-DEFINED NULL,
seglabel USER-DEFINED NULL,
substatus USER-DEFINED NULL,
subdays integer NULL,
ageval integer NULL,
gendlbl USER-DEFINED NULL,
occulbl USER-DEFINED NULL,
testgrp USER-DEFINED NULL,
user_preferences jsonb NULL,
    PRIMARY KEY (userkey)
);

First 3 rows:
  userkey  regmoment    typelabel    seglabel    substatus      subdays    ageval  gendlbl    occulbl       testgrp    user_preferences
---------  -----------  -----------  ----------  -----------  ---------  --------  ---------  ------------  ---------  --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
       11  2024-02-17   Trial        Regular     Enterprise          94        48  Other      Student       Variant_B  {'feedback': {'type': 'Dislike', 'value': '3.0', 'category': 'Format'}, 'interests': 'Entertainment,Tech,Politics', 'activity_level': 'Low', 'preference_score': 0.26, 'satisfaction_score': 0.52}
       12  2023-01-24   Premium      New         Premium            212        74  F          Professional  Control    {'feedback': {'type': 'Dislike', 'value': '2.0', 'category': 'Relevance'}, 'interests': 'Science,Entertainment', 'activity_level': 'Medium', 'preference_score': 0.79, 'satisfaction_score': 0.73}
       13  2023-11-21   Free         Regular     Basic              284        33  Other      Retired       Variant_B  {'feedback': {'type': 'Like', 'value': '5.0', 'category': 'Relevance'}, 'interests': 'Science', 'activity_level': 'High', 'preference_score': 0.5, 'satisfaction_score': 0.56}
...


CREATE TABLE "devices" (
devkey bigint NOT NULL DEFAULT nextval('devices_devkey_seq'::regclass),
devtype USER-DEFINED NULL,
brwtype USER-DEFINED NULL,
osver character varying NULL,
appver character varying NULL,
scrres character varying NULL,
vpsize character varying NULL,
conntype USER-DEFINED NULL,
netspd numeric NULL,
uselink bigint NULL,
    PRIMARY KEY (devkey),
    FOREIGN KEY (uselink) REFERENCES users(userkey)
);

First 3 rows:
  devkey  devtype    brwtype      osver  appver    scrres     vpsize    conntype      netspd    uselink
--------  ---------  ---------  -------  --------  ---------  --------  ----------  --------  ---------
       1  iOS        Safari        13.7  1.9.5     1440x900   820x750   Cable           75.5          1
       2  Windows    Edge          15.2  3.5.8     1920x1080  418x659   Cable           50            2
       3  Windows    Chrome        13.2  2.9.5     1920x1080  420x697   5G              60.1          3
...


CREATE TABLE "interactionmetrics" (
intmetkey bigint NOT NULL,
interaction_behavior jsonb NULL,
    PRIMARY KEY (intmetkey),
    FOREIGN KEY (intmetkey) REFERENCES interactions(intkey)
);

First 3 rows:
  intmetkey  interaction_behavior
-----------  ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
          3  {'scroll': {'depth': 82, 'speed': 583.2, 'percentage': 27.5}, 'exit_type': 'Bounce', 'conversion': {'value': 98.75, 'status': 'Share'}, 'time_spent': {'viewport_time': 170.2, 'attention_time': 845.4, 'reading_seconds': 1354.6, 'duration_seconds': 2326}, 'next_action': 'Another Article', 'bounce_status': 'No', 'click_seconds': 49.2}
          4  {'scroll': {'depth': 63, 'speed': 293.2, 'percentage': 11.9}, 'exit_type': 'Timeout', 'conversion': {'value': 23.19, 'status': 'Subscription'}, 'time_spent': {'viewport_time': 209.4, 'attention_time': 106.6, 'reading_seconds': 1664.7, 'duration_seconds': 272}, 'next_action': 'Share', 'bounce_status': 'No', 'click_seconds': 21.5}
          5  {'scroll': {'depth': 18, 'speed': 888.2, 'percentage': 77.4}, 'exit_type': 'Bounce', 'conversion': {'value': 35.69, 'status': 'Newsletter'}, 'time_spent': {'viewport_time': 107.1, 'attention_time': 616.1, 'reading_seconds': 593.0, 'duration_seconds': 1212}, 'next_action': 'Exit', 'bounce_status': 'Yes', 'click_seconds': 5.1}
...


CREATE TABLE "articles" (
artkey bigint NOT NULL DEFAULT nextval('articles_artkey_seq'::regclass),
catlabel USER-DEFINED NULL,
subcatlbl USER-DEFINED NULL,
pubtime timestamp without time zone NULL,
authname character varying NULL,
srcref character varying NULL,
wordlen integer NULL,
readsec integer NULL,
difflevel USER-DEFINED NULL,
freshscore numeric NULL,
qualscore numeric NULL,
sentscore numeric NULL,
contrscore numeric NULL,
tagset text NULL,
conttype USER-DEFINED NULL,
contformat USER-DEFINED NULL,
accscore numeric NULL,
mediacount integer NULL,
vidsec integer NULL,
paywall USER-DEFINED NULL,
authref bigint NULL,
engagement_metrics jsonb NULL,
    PRIMARY KEY (artkey),
    FOREIGN KEY (authref) REFERENCES users(userkey)
);

First 3 rows:
  artkey  catlabel       subcatlbl      pubtime              authname              srcref                       wordlen    readsec  difflevel      freshscore    qualscore    sentscore    contrscore  tagset                       conttype     contformat      accscore    mediacount    vidsec  paywall      authref  engagement_metrics
--------  -------------  -------------  -------------------  --------------------  -------------------------  ---------  ---------  -----------  ------------  -----------  -----------  ------------  ---------------------------  -----------  ------------  ----------  ------------  --------  ---------  ---------  ------------------------------------------------------------------------------------------------------------------------------------------------
       6  Entertainment  Opinion        2025-02-18 05:31:16  Dominique Simpson     Lewis, Walters and Arnold       1410        338  Advanced             0.22         0.59         0.68          0.07  Trending,Interview,Analysis  Article      Mobile              0.88            20         0  Metered            6  {'social': {'shares': 8932, 'comments': 786}, 'average_rating': 4.2, 'completion_rate': 0.31, 'engagement_rate': 0.07, 'popularity_score': 0.11}
       7  Sports         International  2025-02-17 00:31:16  Rachel Patton         Schaefer Group                  2241        538  Basic                0.92         0.77        -0.67          0.47  Analysis,Interview           Interactive  HTML                0.17             0         0  Metered            7  {'social': {'shares': 312, 'comments': 928}, 'average_rating': 2.9, 'completion_rate': 0.21, 'engagement_rate': 0.68, 'popularity_score': 0.57}
       8  Entertainment  Local          2025-02-14 04:31:16  Christopher Williams  Hernandez Ltd                   1965        472  Basic                0.93         0.81        -0.86          0.65  Interview                    Gallery      Mobile              0.17            11         0  Premium            8  {'social': {'shares': 8282, 'comments': 916}, 'average_rating': 4.6, 'completion_rate': 0.98, 'engagement_rate': 0.61, 'popularity_score': 0.57}
...


CREATE TABLE "recommendations" (
reckey bigint NOT NULL DEFAULT nextval('recommendations_reckey_seq'::regclass),
alglabel USER-DEFINED NULL,
stratlabel USER-DEFINED NULL,
posval integer NULL,
recpage USER-DEFINED NULL,
recsec USER-DEFINED NULL,
recscore numeric NULL,
confval numeric NULL,
divval numeric NULL,
novval numeric NULL,
seryval numeric NULL,
artlink bigint NULL,
    PRIMARY KEY (reckey),
    FOREIGN KEY (artlink) REFERENCES articles(artkey)
);

First 3 rows:
  reckey  alglabel       stratlabel      posval  recpage    recsec      recscore    confval    divval    novval    seryval    artlink
--------  -------------  ------------  --------  ---------  --------  ----------  ---------  --------  --------  ---------  ---------
       1  Contextual     Trending            11  Search     Bottom          0.31       0.91      0.13      0.27       0.88          1
       2  Content-based  Trending             3  Search     Sidebar         0.36       0.4       0.14      0.86       0.39          2
       3  Content-based  Editorial            9  Category   Related         0.85       0.78      0.1       0.66       0.93          3
...


CREATE TABLE "sessions" (
seshkey bigint NOT NULL DEFAULT nextval('sessions_seshkey_seq'::regclass),
userel bigint NULL,
devrel bigint NULL,
seshstart timestamp without time zone NULL,
seshdur integer NULL,
seshviews integer NULL,
bncrate numeric NULL,
seshdepth integer NULL,
engscore numeric NULL,
seshrecs integer NULL,
seshclicks integer NULL,
ctrval numeric NULL,
langcode USER-DEFINED NULL,
tzoffset USER-DEFINED NULL,
ipaddr inet NULL,
geoctry character varying NULL,
georeg character varying NULL,
geocity character varying NULL,
expref character varying NULL,
persver USER-DEFINED NULL,
recset character varying NULL,
relscore numeric NULL,
persacc numeric NULL,
recutil numeric NULL,
    PRIMARY KEY (seshkey),
    FOREIGN KEY (devrel) REFERENCES devices(devkey),
    FOREIGN KEY (userel) REFERENCES users(userkey)
);

First 3 rows:
  seshkey    userel    devrel  seshstart              seshdur    seshviews    bncrate    seshdepth    engscore    seshrecs    seshclicks    ctrval  langcode      tzoffset  ipaddr          geoctry           georeg    geocity           expref    persver    recset      relscore    persacc    recutil
---------  --------  --------  -------------------  ---------  -----------  ---------  -----------  ----------  ----------  ------------  --------  ----------  ----------  --------------  ----------------  --------  ----------------  --------  ---------  --------  ----------  ---------  ---------
        1         1         1  2025-02-19 08:02:16        523           26       0.1             7        0.46          22             2      0.09  fr                   8  100.226.79.211  Niue              Nevada    North Shawnburgh  EXP229    v4         RS4466          0.84       0.6        0.72
        2         2         2  2025-02-19 07:49:16       2666            6       0.29           11        0.72          10            15      1.5   es                   1  75.110.0.79     Cayman Islands    Maryland  North Ryan        EXP309    v1         RS3014          0.66       0.78       0.05
        3         3         3  2025-02-19 07:37:16        677           23       0.51            3        0.09          40            13      0.33  fr                   0  153.39.158.144  Pitcairn Islands  Arkansas  Michaelton        EXP944    v3         RS8092          0.7        0.55       0.19
...


CREATE TABLE "systemperformance" (
rectrace bigint NOT NULL DEFAULT nextval('systemperformance_rectrace_seq'::regclass),
perfts timestamp without time zone NULL,
resptime integer NULL,
loadscore numeric NULL,
errcount USER-DEFINED NULL,
warncount integer NULL,
perfscore numeric NULL,
cachestate USER-DEFINED NULL,
apiver USER-DEFINED NULL,
cliver character varying NULL,
featset text NULL,
devlink bigint NULL,
seshlink bigint NULL,
    PRIMARY KEY (rectrace),
    FOREIGN KEY (devlink) REFERENCES devices(devkey),
    FOREIGN KEY (seshlink) REFERENCES sessions(seshkey)
);

First 3 rows:
  rectrace  perfts                        resptime    loadscore    errcount    warncount    perfscore  cachestate    apiver      cliver  featset      devlink    seshlink
----------  --------------------------  ----------  -----------  ----------  -----------  -----------  ------------  --------  --------  ---------  ---------  ----------
         1  2025-01-24 06:46:03.694670        1106         0.6            4           10         0.08  Hit           v3             5    f3                 1           1
         2  2025-02-01 20:15:58.694670        1488         0.38           0           10         0.43  Hit           v3             3.7  f3                 2           2
         3  2025-02-09 16:45:54.694670        1270         0.1            4            1         0.25  Hit           v2             2.9  f4,f5              3           3
...
